<?xml version="1.0" encoding="gb2312"?>
<AEConfig>
    <FaceAE>
    <minArea>4000</minArea>
    <darkThreshold>70</darkThreshold>
    <brightThreshold>170</brightThreshold>
    <verydarkThreshold>35</verydarkThreshold>
    <verybrightThreshold>200</verybrightThreshold>
    <faceEVComp_MAX>1000</faceEVComp_MAX>
    <faceEVComp_MIN>-1000</faceEVComp_MIN>
    <overExpoThreshold>25</overExpoThreshold>
    <underExpoThreshold>25</underExpoThreshold>
    </FaceAE>

    <HistAE>
	<OVEREXPO_2UnStable_TH>6000</OVEREXPO_2UnStable_TH>    <!--over expo and under expo parameters-->
	<OVEREXPO_2Stable_TH>5000</OVEREXPO_2Stable_TH>
	<UNDEREXPO_2UnStable_TH>7200</UNDEREXPO_2UnStable_TH>
	<UNDEREXPO_2Stable_TH>5500</UNDEREXPO_2Stable_TH>
	<EXPO_ISO_TH>60</EXPO_ISO_TH>
	<OVEREXPO_2UnStable_TH_Dark>6000</OVEREXPO_2UnStable_TH_Dark>
	<OVEREXPO_2Stable_TH_Dark>5000</OVEREXPO_2Stable_TH_Dark>
	<UNDEREXPO_2UnStable_TH_Dark>51200</UNDEREXPO_2UnStable_TH_Dark>
	<UNDEREXPO_2Stable_TH_Dark>51200</UNDEREXPO_2Stable_TH_Dark>
	<MULTIPLE>2</MULTIPLE>
	<EMPTYBIN_2Stable>6</EMPTYBIN_2Stable>
	<EMPTYBIN_2UnStable>10</EMPTYBIN_2UnStable>

	<LvDefault2Night>30</LvDefault2Night>  <!--is night parameters-->
	<LvNight2Default>10</LvNight2Default>

	<LvDefault2IndoorMin>4</LvDefault2IndoorMin>    <!--is indoor-->
	<LvDefault2IndoorMax>20</LvDefault2IndoorMax>
	<LvIndoor2DefaultMin>1</LvIndoor2DefaultMin>
	<LvIndoor2DefaultMax>28</LvIndoor2DefaultMax>

	<mid2over_HLIGHTR>10</mid2over_HLIGHTR>      <!--is nightlight parameters-->
	<over2mid_HLIGHTR>1</over2mid_HLIGHTR>
	<mid2over_MLIGHTR>300</mid2over_MLIGHTR>
	<nightLightEVComp>0</nightLightEVComp>
	<histEVCompMax>0</histEVCompMax>
	<histEVCompMin>0</histEVCompMin>
	<chOverEVCompMin>0</chOverEVCompMin>
	<isHDRExpoMaxThre>16</isHDRExpoMaxThre>
    </HistAE>

	<DepthAE>
	<depthAEFlag>0</depthAEFlag>
	<depthEVCompMax>0</depthEVCompMax>
	<depthEVCompMin>0</depthEVCompMin>
	</DepthAE>

    <ISPCCMCOMP>
	<ccSingleCompPixel_MaxThreshold>220</ccSingleCompPixel_MaxThreshold>  <!-- set Single Color Saturation Over Comp Thresholds -->
	<ccSingleCompPixel_MinThreshold>10</ccSingleCompPixel_MinThreshold>
	<ccSingleForFaceCompPixel_MaxThreshold>200</ccSingleForFaceCompPixel_MaxThreshold>
	<ccSingleForFaceCompPixel_MinThreshold>30</ccSingleForFaceCompPixel_MinThreshold>
	<ccSingleCompThreshold>100</ccSingleCompThreshold>  <!-- value/1000 -->
	<ccSingleCompForFaceRectsThreshold>10</ccSingleCompForFaceRectsThreshold>
    </ISPCCMCOMP>

	<!--The adjusted hdrValue is (AdjustValue*hdrValue)>>8 -->
    <HdrCompAjust>
    <hdrType0_underExposureAdjust>256</hdrType0_underExposureAdjust> 	<!-- Thre 2000-->
    <hdrType0_overExposureAdjust>256</hdrType0_overExposureAdjust> 		<!-- Thre -1700 -->
    <hdrType1_underExposureAdjust>280</hdrType1_underExposureAdjust> 	<!-- Thre 2000 -->
    <hdrType1_overExposureAdjust>400</hdrType1_overExposureAdjust> 		<!-- Thre -1700 -->
    <hdrType2_underExposureAdjust>320</hdrType2_underExposureAdjust> 	<!-- Thre 2000 -->
    <hdrType2_overExposureAdjust>256</hdrType2_overExposureAdjust> 		<!-- Thre -1000 -->
    <hdrType3_underExposureAdjust>340</hdrType3_underExposureAdjust> 	<!-- Thre 2000 -->
    <hdrType3_overExposureAdjust>410</hdrType3_overExposureAdjust> 		<!-- Thre -1700 -->
    <hdrType5_underExposureAdjust>448</hdrType5_underExposureAdjust> 	<!-- Thre 800 -->
    <hdrType5_overExposureAdjust>512</hdrType5_overExposureAdjust> 		<!-- Thre -1330 -->

    <hdr_NIGHT_underExpoAdj>256</hdr_NIGHT_underExpoAdj>                <!-- Thre 800 -->
    <hdr_NIGHT_overExpoAdj>256</hdr_NIGHT_overExpoAdj>                  <!-- Thre -1330 -->
    <hdr_STAGE_underExpoAdj>256</hdr_STAGE_underExpoAdj>                <!-- Thre 800 -->
    <hdr_STAGE_overExpoAdj>256</hdr_STAGE_overExpoAdj>                  <!-- Thre -1330 -->
    <hdr_SUNSET_underExpoAdj>200</hdr_SUNSET_underExpoAdj>              <!-- Thre 1500 -->
    <hdr_SUNSET_overExpoAdj>256</hdr_SUNSET_overExpoAdj>                <!-- Thre -1500 -->
    <SingleHDR>1</SingleHDR>
    <hdr_5Frames_Flag>0</hdr_5Frames_Flag>
    </HdrCompAjust>

    <!--<minY:only binning, >maxY:binning + AE_Max, between:linear calculate-->
    <BinningControl>
    <maxYTotalForSingle>40</maxYTotalForSingle>
    <minYTotalForSingle>15</minYTotalForSingle>
    </BinningControl>

    <!--the parameters for JPGHDR-->
    <JPGHDRControl>
    <JHDRMaxExpoTimeForSensor>320</JHDRMaxExpoTimeForSensor>		<!--the max ExposueTime ability for sensor(ms)-->
    <JHDRMaxExpoTimeForCapture>80</JHDRMaxExpoTimeForCapture>		<!--the max ExposueTime for normal capture(ms)-->
    <JHDRunderEvCompEnHenceRatio>1200</JHDRunderEvCompEnHenceRatio>  	<!--enHenceRatio:1200/1000=1.2-->
    <JHDRoverEvCompEnHenceRatio>1200</JHDRoverEvCompEnHenceRatio>    	<!--same to above-->
    <JHDR5FrameEnterThre>3100</JHDR5FrameEnterThre>
    <JHDR7FrameEnterThre>3700</JHDR7FrameEnterThre>
    <JHDREvCompMaxValueFor3Frames>2000</JHDREvCompMaxValueFor3Frames>	<!--Ev: 3000/1000=3.0Ev-->
    <JHDREvCompMaxValueFor5Frames>2100</JHDREvCompMaxValueFor5Frames>
    <JHDREvCompMaxValueFor7Frames>2200</JHDREvCompMaxValueFor7Frames>
    </JPGHDRControl>

    <!--<3S1L>-->
    <MEFControl>
    <MEFCloseTag>1</MEFCloseTag>    <!--0: close 3s1l, 1: not close-->
    <MEFSupportedMinExpoThreshold>100</MEFSupportedMinExpoThreshold>    <!--3S1l unable expotime <= 10ms -->
    <MEFSupportedMinISOThreshold1>800</MEFSupportedMinISOThreshold1>      <!--3S1l unable ISO <= MEFSupportedMinISOThreshold1 &&  expotime <= 1/MEFSupportedMinExpoThreshold-->
    <MEFSupportedMinISOThreshold2>1200</MEFSupportedMinISOThreshold2>      <!--3S1l unable ISO >= MEFSupportedMinISOThreshold2 -->
    <MEFLevel11MinISO>0</MEFLevel11MinISO>
    <MEFLevel11ExposureComp>500</MEFLevel11ExposureComp>
    <MEFLevel11ISOComp>2000</MEFLevel11ISOComp>
    <MEFLevel11MaxISO>250</MEFLevel11MaxISO>    <!--iso in [0,250), expo*0.5, iso*2-->
    <MEFLevel12MinISO>250</MEFLevel12MinISO>
    <MEFLevel12ExposureComp>500</MEFLevel12ExposureComp>
    <MEFLevel12ISOComp>2000</MEFLevel12ISOComp>
    <MEFLevel12MaxISO>500</MEFLevel12MaxISO>    <!--iso in [250,500), expo*0.5, iso*2-->
    <MEFLevel13MinISO>500</MEFLevel13MinISO>
    <MEFLevel13ExposureComp>500</MEFLevel13ExposureComp>
    <MEFLevel13ISOComp>2000</MEFLevel13ISOComp>
    <MEFLevel13MaxISO>1300</MEFLevel13MaxISO>   <!--iso in [500,1300), expo*0.5, iso*2-->
    <MEFLevel14MinISO>1300</MEFLevel14MinISO>
    <MEFLevel14ExposureComp>670</MEFLevel14ExposureComp>
    <MEFLevel14ISOComp>1500</MEFLevel14ISOComp>
    <MEFLevel14MaxISO>3500</MEFLevel14MaxISO>   <!--iso in [1300,3500], expo*0.67, iso*1.5-->

    <MEFLevel21MinISO>0</MEFLevel21MinISO>
    <MEFLevel21ExposureComp>500</MEFLevel21ExposureComp>
    <MEFLevel21ISOComp>2000</MEFLevel21ISOComp>
    <MEFLevel21MaxISO>250</MEFLevel21MaxISO>    <!--iso in [0,250), expo*0.5, iso*2-->
    <MEFLevel22MinISO>250</MEFLevel22MinISO>
    <MEFLevel22ExposureComp>500</MEFLevel22ExposureComp>
    <MEFLevel22ISOComp>2000</MEFLevel22ISOComp>
    <MEFLevel22MaxISO>500</MEFLevel22MaxISO>    <!--iso in [250,500), expo*0.5, iso*2-->
    <MEFLevel23MinISO>500</MEFLevel23MinISO>
    <MEFLevel23ExposureComp>500</MEFLevel23ExposureComp>
    <MEFLevel23ISOComp>2000</MEFLevel23ISOComp>
    <MEFLevel23MaxISO>1300</MEFLevel23MaxISO>   <!--iso in [500,1300), expo*0.5, iso*2-->
    <MEFLevel24MinISO>1300</MEFLevel24MinISO>
    <MEFLevel24ExposureComp>670</MEFLevel24ExposureComp>
    <MEFLevel24ISOComp>1500</MEFLevel24ISOComp>
    <MEFLevel24MaxISO>3500</MEFLevel24MaxISO>   <!--iso in [1300,3500], expo*0.67, iso*1.5-->

    <MEFLevel31MinISO>0</MEFLevel31MinISO>
    <MEFLevel31ExposureComp>500</MEFLevel31ExposureComp>
    <MEFLevel31ISOComp>2000</MEFLevel31ISOComp>
    <MEFLevel31MaxISO>250</MEFLevel31MaxISO>    <!--iso in [0,250), expo*0.5, iso*2-->
    <MEFLevel32MinISO>250</MEFLevel32MinISO>
    <MEFLevel32ExposureComp>500</MEFLevel32ExposureComp>
    <MEFLevel32ISOComp>2000</MEFLevel32ISOComp>
    <MEFLevel32MaxISO>500</MEFLevel32MaxISO>    <!--iso in [250,500), expo*0.5, iso*2-->
    <MEFLevel33MinISO>500</MEFLevel33MinISO>
    <MEFLevel33ExposureComp>500</MEFLevel33ExposureComp>
    <MEFLevel33ISOComp>2000</MEFLevel33ISOComp>
    <MEFLevel33MaxISO>1300</MEFLevel33MaxISO>   <!--iso in [500,1300), expo*0.5, iso*2-->
    <MEFLevel34MinISO>1300</MEFLevel34MinISO>
    <MEFLevel34ExposureComp>670</MEFLevel34ExposureComp>
    <MEFLevel34ISOComp>1500</MEFLevel34ISOComp>
    <MEFLevel34MaxISO>3500</MEFLevel34MaxISO>   <!--iso in [1300,3500], expo*0.67, iso*1.5-->
    </MEFControl>
    <HDRPControl>
        <HDRPCloseTag>0</HDRPCloseTag>  <!--1:ALL IN, 2:judeg FLAG IN, 0:Close -->
        <HDRPEnterFlag>1006</HDRPEnterFlag><!--960:status >6 in; 1023: all in-->
    </HDRPControl>

    <MFControl>
        <MFCloseTag>1</MFCloseTag>  <!--1:ALL IN, 2:judeg FLAG IN, 0:Close -->
        <MFEnterFlag>1006</MFEnterFlag><!--960:status >6 in; 1023: all in-->
    </MFControl>
    <UltraISO_RHDR>
        <UltraISOCloseTag>3</UltraISOCloseTag>
        <UltraISOEnterISO>3000</UltraISOEnterISO>
        <UltraISOEnterFPS>17</UltraISOEnterFPS>

        <UltraISOEnterLv1luma>40</UltraISOEnterLv1luma>
        <UltraISOLv1SendISO>6000</UltraISOLv1SendISO>
        <UltraISOLv1SendExpo>100000</UltraISOLv1SendExpo>

        <UltraISOEnterHighRatioLuma>100</UltraISOEnterHighRatioLuma>
        <UltraISOEnterHighRatio>95</UltraISOEnterHighRatio>

        <UltraISOEnterLv2luma>30</UltraISOEnterLv2luma>
        <UltraISOLv2SendISO>6000</UltraISOLv2SendISO>
        <UltraISOLv2SendExpo>125000</UltraISOLv2SendExpo>

        <UltraISOEnterLv3luma>20</UltraISOEnterLv3luma>
        <UltraISOLv3SendISO>8000</UltraISOLv3SendISO>
        <UltraISOLv3SendExpo>125000</UltraISOLv3SendExpo>

        <UltraISOEnterLv4luma>12</UltraISOEnterLv4luma>
        <UltraISOLv4SendISO>8000</UltraISOLv4SendISO>
        <UltraISOLv4SendExpo>250000</UltraISOLv4SendExpo>

        <UltraISOEnterLv5luma>3</UltraISOEnterLv5luma>
        <UltraISOLv5SendISO>8000</UltraISOLv5SendISO>
        <UltraISOLv5SendExpo>250000</UltraISOLv5SendExpo>
    </UltraISO_RHDR>

    <MultiDenoiseFusion>
        <MultiDenoiseFusionFlag>1</MultiDenoiseFusionFlag>    <!--0 close, 1 open-->
        <multidenoiseFusionFrame>5</multidenoiseFusionFrame>

        <multidenoiseFusionAvgLuma1>110</multidenoiseFusionAvgLuma1>    <!-- thres to enter fusion-->
        <multidenoiseFusionHighRatio1>5</multidenoiseFusionHighRatio1>
        <multidenoiseFusionThres1>245</multidenoiseFusionThres1>

        <multidenoiseFusionAvgLuma2>150</multidenoiseFusionAvgLuma2>
        <multidenoiseFusionHighRatio2>10</multidenoiseFusionHighRatio2>
        <multidenoiseFusionThres2>245</multidenoiseFusionThres2>

        <multidenoiseFusionHighRatio3>15</multidenoiseFusionHighRatio3>  <!-- AvgLuma2 to 256 -->
        <multidenoiseFusionThres3>245</multidenoiseFusionThres3>
    </MultiDenoiseFusion>

    <YuvHdrWisdomEv>
        <WisdomEvOn>1</WisdomEvOn>  <!--1:On, 0:Off :: for the param below-->

<!--     enum SCENARIOS {
        BACK_CAMERA_NO_FACE_WEAK_BACKLIT = 0,
        BACK_CAMERA_NO_FACE_STRONG_BACKLIT = 1,
        BACK_CAMERA_WITH_FACE_WEAK_BACKLIT = 2,
        BACK_CAMERA_WITH_FACE_STRONG_BACKLIT = 3,
        FRONT_CAMERA_NO_FACE_WEAK_BACKLIT = 4,
        FRONT_CAMERA_NO_FACE_STRONG_BACKLIT = 5,
        FRONT_CAMERA_WITH_FACE_WEAK_BACKLIT = 6,
        FRONT_CAMERA_WITH_FACE_STRONG_BACKLIT = 7,
    }; -->

        <BacklightingISOThresh>70</BacklightingISOThresh>  <!-- ISO under 100 are considered outdoor or strong light-->

        <EVCoefficient0ShadowLighten>800</EVCoefficient0ShadowLighten>
        <EVCoefficient0HighlightSuppress>850</EVCoefficient0HighlightSuppress>

        <EVCoefficient1ShadowLighten>800</EVCoefficient1ShadowLighten>
        <EVCoefficient1HighlightSuppress>1000</EVCoefficient1HighlightSuppress>

        <EVCoefficient2ShadowLighten>950</EVCoefficient2ShadowLighten>
        <EVCoefficient2HighlightSuppress>800</EVCoefficient2HighlightSuppress>

        <EVCoefficient3ShadowLighten>950</EVCoefficient3ShadowLighten>
        <EVCoefficient3HighlightSuppress>800</EVCoefficient3HighlightSuppress>

        <EVCoefficient4ShadowLighten>1000</EVCoefficient4ShadowLighten>
        <EVCoefficient4HighlightSuppress>1000</EVCoefficient4HighlightSuppress>

        <EVCoefficient5ShadowLighten>1000</EVCoefficient5ShadowLighten>
        <EVCoefficient5HighlightSuppress>1000</EVCoefficient5HighlightSuppress>

        <EVCoefficient6ShadowLighten>1000</EVCoefficient6ShadowLighten>
        <EVCoefficient6HighlightSuppress>1100</EVCoefficient6HighlightSuppress>

        <EVCoefficient7ShadowLighten>700</EVCoefficient7ShadowLighten>
        <EVCoefficient7HighlightSuppress>1200</EVCoefficient7HighlightSuppress>

        <MinExposureProtection>2500</MinExposureProtection>  <!-- 1/2500s as min exposure, avoid short exposure makes low SNR-->
        <MaxHDREv>3100</MaxHDREv>  <!-- +- 3.1 EV, affects by EVCoefficientBaseShadow EVCoefficientBaseHighlight etc. -->
        <ShadowsRefRatio>30</ShadowsRefRatio>  <!-- 0.3, ratio of shadow to reference(normaly 128), raise for higher -EV-->
        <HighlightsRefRatio>30</HighlightsRefRatio>  <!-- 0.3, ratio of hightlights to reference(normaly 128) off white(255), raise for lower +EV-->
        <SunsetHDRThresh>1500</SunsetHDRThresh>  <!-- +- 1.5 EV -->
        <NightHDRThresh_H>800</NightHDRThresh_H>  <!-- +0.8 EV -->
        <NightHDRThresh_L>-1300</NightHDRThresh_L>  <!-- -1.3 EV -->
    </YuvHdrWisdomEv>

    <HDRPMotionControl>
        <HdrpMotionControlSwitch>1</HdrpMotionControlSwitch>  <!--1:ON, 0:OFF -->
        <HdrpMotionMinISO>50</HdrpMotionMinISO> <!-- 1X gain -->
        <HdrpMotionMaxISO>4100</HdrpMotionMaxISO> <!-- max gain -->
        <HdrpMotionMinExpo>1000</HdrpMotionMinExpo> <!-- 1/2000 s-->
        <HdrpMotionExpo50HZ>10000</HdrpMotionExpo50HZ>
        <HdrpMotionExpo60HZ>8333</HdrpMotionExpo60HZ>
        <HdrplMotionControlSwitch>0</HdrplMotionControlSwitch> <!--1:ON, 0:OFF -->
        <HdrplMaxMotionLv>2500</HdrplMaxMotionLv> <!-- max speed lv-->
        <HdrplMotionMaxISO>4100</HdrplMotionMaxISO>
    </HDRPMotionControl>

</AEConfig>
<!--fileLength 8203, If add parameters, please adjust the fileLength,2017/09/06-->
